Bug 58929 - Paste action disables cell navigation with Enter and Tab
Summary: Paste action disables cell navigation with Enter and Tab
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 90970 (view as bug list)
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2013-01-02 01:23 UTC by sworddragon2
Modified: 2019-11-02 03:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2013-01-02 01:23:15 UTC
In Calc copying a field and pasting it to another field disables temporarily navigation down with Enter or to right with Tab. Clicking with the mouse on another field solves this issue until the next paste appears.
Comment 1 Owen Genat (retired) 2013-12-14 09:09:50 UTC
I am not sure what "field" in this report refers to, however there does appear to have been a general change in behaviour between v3.3 and v3.4 with respect to how the ENTER key is interpreted after performing a copy/paste action. This may be what this bug is referring to however until this can be clarified I am setting the status to NEEDINFO. 

My understanding of problem:

1. Start Calc.
2. Enter "abc" in cell A1.
3. Copy (CTRL+C) this cell.
4. Move selection to cell B1.
5. Paste (CTRL+V) - places copied value into B1, cell is highlighted.
6. ENTER unhighlights cell B1.
7. Subsequent use of ENTER/TAB is as expected i.e., move selection either down or to the right. 

Under Ubuntu 10.04 x86_64 running v3.3.0.4 OOO330m19 Build: 6 and Crunchbang 11 x86_64 running v3.3.4.1 OOO330m19 Build: 401 those steps describe the behaviour. Under Ubuntu 10.04 x86_64 running:

- v3.4.6.2 OOO340m1 Build: 602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a

... the behaviour is different. After step 5:

6. ENTER does not remove cell highlighting (it removes moving dashes from around A1).
7. Subsequent use of ENTER/TAB does nothing - a cursor key or mouse click is required to move the selector to another cell. 

It is possible this is a bug that overrides the setting under Tools > Options > LbreOffice Calc > General > Input settings section > Press ENTER to move selection "Down".
Comment 2 sworddragon2 2013-12-17 09:51:20 UTC
> I am not sure what "field" in this report refers to

I was refering to cell.


> 6. ENTER does not remove cell highlighting (it removes moving dashes from around A1).
> 7. Subsequent use of ENTER/TAB does nothing - a cursor key or mouse click is required to move the selector to another cell.

This is what I'm seeing too on LibreOffice 4.1.3.2.


> It is possible this is a bug that overrides the setting under Tools > Options > LbreOffice Calc > General > Input settings section > Press ENTER to move selection "Down".

"Press Enter to move selection" is enabled and the dropdown field is set to Down but the cell selection is still not moving on pressing enter after pasting something.
Comment 3 Owen Genat (retired) 2013-12-19 06:16:54 UTC
Thanks for responding and clarifying the "field" matter. I had the same setting for Press ENTER to move selection, so confirmed. Status set to NEW. Component set to Spreadsheet. Version set to 3.4.6 release per comment #1. Possible regression.
Comment 4 Owen Genat (retired) 2013-12-19 06:45:42 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-04-19 03:22:08 UTC Comment hidden (obsolete)
Comment 6 sworddragon2 2015-04-19 15:09:57 UTC
I'm still able to reproduce this issue with LibreOffice 4.4.2.2 on Linux 3.19.3 (x86_64).
Comment 7 raal 2015-04-30 18:14:16 UTC
*** Bug 90970 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2016-09-20 09:37:06 UTC Comment hidden (obsolete)
Comment 9 Emil Tanev 2017-09-18 14:46:28 UTC
Reproducible in 
Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
Comment 10 QA Administrators 2018-09-19 02:52:07 UTC Comment hidden (obsolete)
Comment 11 Thomas Lendo 2018-11-01 21:11:42 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build-ID: e33424dd887cb1a11a3dba2513ef0f4bf93a6dbe
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 12 QA Administrators 2019-11-02 03:45:49 UTC
Dear sworddragon2,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug